# class HTMLMapElement

###

Module | khtml
Namespace | DOM
Class | HTMLMapElement
Inherits | DOM::HTMLElement

Client-side image map. See the MAP element definition in HTML 4.0.

### methods

- HTMLMapElement ( )

  returns ctor

- HTMLMapElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLMapElement |

- HTMLMapElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- HTMLMapElement (impl)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  impl | HTMLMapElementImpl |

- areas ( )

  returns DOM.HTMLCollection

  The list of areas defined for the image map.

- name ( )

  returns DOM.DOMString

  Names the map (for use with usemap ). See the name attribute definition in HTML 4.0.

- setName (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | DOM.DOMString |

  see name